cURL
curl --request GET \ --url https://api.engrate.io/schedule-management/v1/schedules/{uid}/versions/{version_number} \ --header 'Authorization: <api-key>'
{ "uid": "<string>", "schedule_uid": "<string>", "org_uid": "<string>", "version": 123, "status": "<string>", "acceptance_level": "<string>", "created_ts": "<string>", "last_modified_ts": "<string>", "spec": { "market": "<string>", "tso": "<string>", "sender_id": "<string>", "receiver_id": "<string>", "series": [ { "uid": "<string>", "time_series_uid": "<string>", "type": "<string>", "in_area": "<string>", "out_area": "<string>", "in_party": "<string>", "out_party": "<string>", "ts_version": 1 } ] }, "message_id": "<string>", "is_active": true, "warnings": [ { "code": "<string>", "text": "<string>" } ], "nrr_received": true, "transmission_report_id": "<string>" }
Get a specific version of a schedule by version number.
Successful Response
Response model for ScheduleVersion - matches eg-app contract.
Spec structure for schedule version.
Show child attributes
Was this page helpful?